package com.xty.common

import android.content.Context
import java.io.File
import java.io.FileInputStream

object FileUtils {

    fun getCacheFile(context: Context):String?{
        return context.externalCacheDir?.absoluteFile?.absolutePath
    }

    fun getFilePrivate(context: Context):String?{
       return context.getExternalFilesDir(null)?.absoluteFile?.absolutePath
    }
    /**
     * 删除文件夹内部的所有文件
     */
    fun deleteAllFile(path:String){
        var file= File(path)
        if(file.exists()){
            file.list().forEach {
                var childFile= File(path+ File.separator+it)
                if(childFile.exists()&&childFile.isFile){
                    childFile.delete()
                }
            }
        }
    }

    /**
     * 获取文件的大小
     * 1024*1024 *10    10M
     */
    fun getFileSize(s:String):Int{
        var size=0

        try{
            var fis=FileInputStream(s)
            size=fis.available()
        }catch (e:Exception){
            e.printStackTrace()
        }finally {
            return size
        }
    }
}